<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Interface hk.quantr.mxgraph.util.mxEventSource.mxIEventListener (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface hk.quantr.mxgraph.util.mxEventSource.mxIEventListener (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Interface hk.quantr.mxgraph.util.mxEventSource.mxIEventListener" class="title">Uses of Interface<br>hk.quantr.mxgraph.util.mxEventSource.mxIEventListener</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.model">hk.quantr.mxgraph.model</a></th>
<td class="colLast">
<div class="block">This package contains the classes that define a graph model.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing">hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.handler">hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.util">hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.view">hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.model">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> in <a href="../../model/package-summary.html">hk.quantr.mxgraph.model</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../model/package-summary.html">hk.quantr.mxgraph.model</a> with parameters of type <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxIGraphModel.</span><code><span class="memberNameLink"><a href="../../model/mxIGraphModel.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Binds the specified function to the given event name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxIGraphModel.</span><code><span class="memberNameLink"><a href="../../model/mxIGraphModel.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxIGraphModel.</span><code><span class="memberNameLink"><a href="../../model/mxIGraphModel.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> in <a href="../../swing/package-summary.html">hk.quantr.mxgraph.swing</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../swing/package-summary.html">hk.quantr.mxgraph.swing</a> declared as <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#repaintHandler">repaintHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphOutline.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphOutline.html#repaintHandler">repaintHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#scaleHandler">scaleHandler</a></span></code></th>
<td class="colLast">
<div class="block">Resets the zoom policy if the scale is changed manually.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#updateHandler">updateHandler</a></span></code></th>
<td class="colLast">
<div class="block">Updates the heavyweight component structure after any changes.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/package-summary.html">hk.quantr.mxgraph.swing</a> with parameters of type <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.handler">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> declared as <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSelectionCellsHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxSelectionCellsHandler.html#refreshHandler">refreshHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectionHandler.html#resetHandler">resetHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> with parameters of type <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellMarker.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxCellMarker.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Adds the given event listener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectionHandler.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Adds the given event listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxInsertHandler.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellMarker.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxCellMarker.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellMarker.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxCellMarker.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener for the specified event name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectionHandler.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectionHandler.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener for the specified event name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxInsertHandler.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxInsertHandler.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> in <a href="../package-summary.html">hk.quantr.mxgraph.util</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.util</a> with parameters of type <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxEventSource.</span><code><span class="memberNameLink"><a href="../mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Binds the specified function to the given event name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxEventSource.</span><code><span class="memberNameLink"><a href="../mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes all occurances of the given listener from the list of listeners.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxEventSource.</span><code><span class="memberNameLink"><a href="../mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes all occurances of the given listener from the list of listeners.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> in <a href="../../view/package-summary.html">hk.quantr.mxgraph.view</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../view/package-summary.html">hk.quantr.mxgraph.view</a> declared as <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneManager.</span><code><span class="memberNameLink"><a href="../../view/mxSwimlaneManager.html#addHandler">addHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#fullRepaintHandler">fullRepaintHandler</a></span></code></th>
<td class="colLast">
<div class="block">Fires repaint events for full repaints.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#graphModelChangeHandler">graphModelChangeHandler</a></span></code></th>
<td class="colLast">
<div class="block">Fires repaint events for model changes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLayoutManager.</span><code><span class="memberNameLink"><a href="../../view/mxLayoutManager.html#moveHandler">moveHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneManager.</span><code><span class="memberNameLink"><a href="../../view/mxSwimlaneManager.html#resizeHandler">resizeHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxLayoutManager.</span><code><span class="memberNameLink"><a href="../../view/mxLayoutManager.html#undoHandler">undoHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../../view/mxGraph.html#updateOriginHandler">updateOriginHandler</a></span></code></th>
<td class="colLast">
<div class="block">Fires repaint events for full repaints.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
